package com.example.lesson2;

import android.app.Activity;
import android.content.Intent;
import android.os.Bundle;
import android.widget.RatingBar;
import android.widget.RatingBar.OnRatingBarChangeListener;

public class Settings extends Activity {

	public final static String SETTINGS_RESULT = "SETTINGS_RESULT";

	@Override
	protected void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.activity_settings);

		RatingBar orRating = (RatingBar)findViewById(R.id.ratingBar1);
		orRating.setOnRatingBarChangeListener(new OnRatingBarChangeListener() {
			
			@Override
			public void onRatingChanged(RatingBar ratingBar, float rating, boolean fromUser) {
				Intent opMain = new Intent();
				opMain.putExtra(SETTINGS_RESULT, rating);
				setResult(RESULT_OK, opMain);
				finish();
			}
		});
	}

}
